/***** A P P L I C A T I O N   N O T E **************************************
*
* Title			: DMX512 controlled 3(4)-Channel Hard-PWM 
* Version		: v1.0
* Last updated	: 17.03.08
* Target		: ATtiny2313
* Clock			: 8MHz
*
* written by Andreas Mller, andreas-mueller@gmx.info
*	
*****************************************************************************
 
 This program is free software; you can redistribute it and/or 
 modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation; either version 2 of 
 the License, or (at your option) any later version. 

 This program is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 General Public License for more details. 

 If you have no copy of the GNU General Public License, write to the 
 Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 

 For other license models, please contact the author.

*****************************************************************************

 Thanks go to Hendrik Hoelscher, www.hoelscher-hi.de, for his great
 Tutorials and Sources !!!

****************************************************************************/

#include <2313_hard_pwm.h>
#include <dmx_in.h>


int main (void) 
{

  cli();

  init_pwm();

  dmx_address = 1;

  init_dmx();

  sei();


	while(1)

	{
      
	  pwm1 = dmx_array[0];
	  pwm3 = dmx_array[1];
	  pwm4 = dmx_array[2];
	  
	}

	return 0;
}
